UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Voyager
Voyager
643 Views
Registered: ‎05-30-2017

Petalinux 2018.3 : [Hsi 55-1545] Problem running tcl command ::sw_axi_vcu::generate : param_value can only be empty if the param_type is boolean, value is must for other data types

Jump to solution

Hello. Building petalinux with petalinux-tool 2018.3 using an hdf generated with Vivado 2018.3 I have this error executing petalinux-build:

ERROR: [Hsi 55-1545] Problem running tcl command ::sw_axi_vcu::generate : param_value can only be empty if the param_type is boolean, value is must for other data types
    while executing
"error "param_value can only be empty if the param_type is boolean, value is must for other data types""
    (procedure "hsi::utils::add_new_dts_param" line 3)
    invoked from within
"hsi::utils::add_new_dts_param "${encoder_node}" "interrupts" $intr_val int"
    (procedure "::sw_axi_vcu::generate" line 52)
    invoked from within
"::sw_axi_vcu::generate ZYNQ_VCU_vcu_0"

I rsad this https://forums.xilinx.com/t5/Embedded-Linux/How-to-patch-axi-vcu-tcl-in-Petalinux/td-p/943880 but it is about Vivado 2017.4 so it does not seem to relate to my problem.

Thank you very much.

Tags (3)
0 Kudos
1 Solution

Accepted Solutions
Voyager
Voyager
530 Views
Registered: ‎05-30-2017

Re: Petalinux 2018.3 : [Hsi 55-1545] Problem running tcl command ::sw_axi_vcu::generate : param_value can only be empty if the param_type is boolean, value is must for other data types

Jump to solution

Hi @stephenm,

In the messages I had a lot of warnigs about interrupts not conncted to an interupt controller. Connecting them all to an interrupt controller also this error disappeared. Thank you.

View solution in original post

0 Kudos
4 Replies
Voyager
Voyager
547 Views
Registered: ‎05-30-2017

Re: Petalinux 2018.3 : [Hsi 55-1545] Problem running tcl command ::sw_axi_vcu::generate : param_value can only be empty if the param_type is boolean, value is must for other data types

Jump to solution

Anyone could help me?

A search about "param_value can only be empty if the param_type is boolean, value is must for other data types" error but I found nothing.

Thanks.

0 Kudos
Moderator
Moderator
539 Views
Registered: ‎09-12-2007

Re: Petalinux 2018.3 : [Hsi 55-1545] Problem running tcl command ::sw_axi_vcu::generate : param_value can only be empty if the param_type is boolean, value is must for other data types

Jump to solution

Can you share the HDF please and I will debug this for you?

Voyager
Voyager
531 Views
Registered: ‎05-30-2017

Re: Petalinux 2018.3 : [Hsi 55-1545] Problem running tcl command ::sw_axi_vcu::generate : param_value can only be empty if the param_type is boolean, value is must for other data types

Jump to solution

Hi @stephenm,

In the messages I had a lot of warnigs about interrupts not conncted to an interupt controller. Connecting them all to an interrupt controller also this error disappeared. Thank you.

View solution in original post

0 Kudos
Moderator
Moderator
520 Views
Registered: ‎09-12-2007

Re: Petalinux 2018.3 : [Hsi 55-1545] Problem running tcl command ::sw_axi_vcu::generate : param_value can only be empty if the param_type is boolean, value is must for other data types

Jump to solution

Great